Package org.eclipse.graphiti.palette

## Interface IStackToolEntry

All Superinterfaces:
  `IPaletteEntry`, `IToolEntry`

All Known Implementing Classes:
  `StackEntry`

    public interface IStackToolEntry
    extends IToolEntry

The Interface IStackToolEntry.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.util.List<ICreationToolEntry>` `getCreationToolEntries()` Gets the creation tool entries.
`java.lang.String` `getDescription()` Gets the description.

### Methods inherited from interface org.eclipse.graphiti.palette.IPaletteEntry

`getIconId, getLabel`

### Method Detail

#### getDescription

    java.lang.String getDescription()

Gets the description.

Returns:
  the description

#### getCreationToolEntries

    java.util.List<ICreationToolEntry> getCreationToolEntries()

Gets the creation tool entries.

Returns:
  the creation tool entries